/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.TraiteClt;

import javafx.beans.property.SimpleFloatProperty;
import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author Maher
 */
public class TraiteCltGestionListe {
    
    private final SimpleStringProperty NumTraite;
    private final SimpleStringProperty Etat;
    private final SimpleStringProperty Facture;
    private final SimpleStringProperty CodeClt;
    private final SimpleStringProperty TypeClient;
    private final SimpleStringProperty NomPrenom;
    private final SimpleStringProperty DateTraite;
    private final SimpleStringProperty DatePayer;
    private final SimpleStringProperty Montant;
    private final SimpleFloatProperty MontantFloat;
    
    public TraiteCltGestionListe(String num_traite, String etat, String facture, String code_clt, String type_clt, String nom_prenom, String date_traite, String date_payer, String montant, Float fmontant) {
        this.NumTraite= new SimpleStringProperty(num_traite);
        this.Etat = new SimpleStringProperty(etat);
        this.Facture = new SimpleStringProperty(facture);
        this.CodeClt = new SimpleStringProperty(code_clt);
        this.TypeClient = new SimpleStringProperty(type_clt);
        this.NomPrenom = new SimpleStringProperty(nom_prenom);
        this.DateTraite = new SimpleStringProperty(date_traite);
        this.DatePayer= new SimpleStringProperty(date_payer);
        this.Montant= new SimpleStringProperty(montant);
        this.MontantFloat= new SimpleFloatProperty(fmontant);
    }

    public String getNumTraite() {
        return NumTraite.get();
    }

    public String getEtat() {
        return Etat.get();
    }

    public String getFacture() {
        return Facture.get();
    }

    public String getCodeClt() {
        return CodeClt.get();
    }

    public String getTypeClient() {
        return TypeClient.get();
    }

    public String getNomPrenom() {
        return NomPrenom.get();
    }

    public String getDateTraite() {
        return DateTraite.get();
    }

    public String getDatePayer() {
        return DatePayer.get();
    }
    
    public String getMontant() {
        return Montant.get();
    }
    
    public void setMontant(String montant) {
        Montant.set(montant);
    }
    
    
    public Float getMontantFloat() {
        return MontantFloat.get();
    }
}
